#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 scotty
version:              0.12
visibility:           public
id:                   scotty-0.12-7qjKZXrZF9VCIhpKJNcUUT
key:                  scotty-0.12-7qjKZXrZF9VCIhpKJNcUUT
license:              BSD-3-Clause
copyright:            (c) 2012-Present Andrew Farmer
maintainer:           Andrew Farmer <xichekolas@gmail.com>
author:               Andrew Farmer <xichekolas@gmail.com>
stability:            experimental
homepage:             https://github.com/scotty-web/scotty
synopsis:
    Haskell web framework inspired by Ruby'\''s Sinatra, using WAI and Warp

description:
    A Haskell web framework inspired by Ruby'\''s Sinatra, using WAI and Warp.

    @
    &#123;-&#35; LANGUAGE OverloadedStrings &#35;-&#125;

    import Web.Scotty

    import Data.Monoid (mconcat)

    main = scotty 3000 $
    &#32;&#32;get &#34;/:word&#34; $ do
    &#32;&#32;&#32;&#32;beam <- param &#34;word&#34;
    &#32;&#32;&#32;&#32;html $ mconcat [&#34;&#60;h1&#62;Scotty, &#34;, beam, &#34; me up!&#60;/h1&#62;&#34;]
    @


    Scotty is the cheap and cheerful way to write RESTful, declarative web applications.

    * A page is as simple as defining the verb, url pattern, and Text content.

    * It is template-language agnostic. Anything that returns a Text value will do.

    * Conforms to WAI Application interface.

    * Uses very fast Warp webserver by default.

    As for the name: Sinatra + Warp = Scotty.

    [WAI] <http://hackage.haskell.org/package/wai>

    [Warp] <http://hackage.haskell.org/package/warp>

category:             Web
abi:                  4428e9fcf56e72de23b7459b76b906e2
exposed:              True
exposed-modules:      Web.Scotty Web.Scotty.Internal.Types Web.Scotty.Trans
hidden-modules:       Web.Scotty.Action Web.Scotty.Route Web.Scotty.Util
import-dirs:          /usr/lib/ghc-9.0.1/site-local/scotty-0.12
library-dirs:         /usr/lib/ghc-9.0.1/site-local/scotty-0.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/scotty-0.12
hs-libraries:         HSscotty-0.12-7qjKZXrZF9VCIhpKJNcUUT
depends:
    aeson-1.5.6.0-9o8y4QVT0ed6zIp89KPO7i base-4.15.0.0
    base-compat-batteries-0.11.2-5rKonEHJSuPGAEUXQegdfE
    blaze-builder-0.4.2.1-1jqIYnOFfUgLYlL3E7ErdB bytestring-0.10.12.1
    case-insensitive-1.2.1.0-LsJJ5284Amp7gbCwTtqWK9
    data-default-class-0.1.2.0-LBmwYNzg9cwLSaLiX5AQfC exceptions-0.10.4
    http-types-0.12.3-EsczPCiHgMfDgCbh8KUGRq
    monad-control-1.0.2.3-135QfWS56U73vJp0UY9qMK mtl-2.2.2
    network-3.1.2.2-8nPl8fPPwZC2zJ81nIgVc
    regex-compat-0.95.2.1-CI6ateThNmS8NQmDn0xxFQ text-1.2.4.1
    transformers-0.5.6.2
    transformers-base-0.4.5.2-Bz6tJiZ3kA02bvHhlc5LaV
    transformers-compat-0.6.6-58sHB8TcbOoDoX7hOb5YA0
    wai-3.2.3-8NRzO6EwiyPEmBGpU4FvXY
    wai-extra-3.1.6-AwG1hVMHYLQKW58XXwuFrp
    warp-3.3.17-1ZvZb8JYX332XrcwA77yuk

haddock-interfaces:   /usr/share/doc/haskell-scotty/html/scotty.haddock
haddock-html:         /usr/share/doc/haskell-scotty/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

